### Hierarchy

- TransformOptions
  - CipherCCMOptions

## Index

### Properties

- allowHalfOpen
- authTagLength
- decodeStrings
- encoding
- highWaterMark
- objectMode
- readableObjectMode
- writableObjectMode

### Methods

- destroy
- final
- flush
- read
- transform
- write
- writev

## Properties

### Optional allowHalfOpen

allowHalfOpen: undefined | false | true

Inherited from DuplexOptions.allowHalfOpen

- Defined in node_modules/@types/node/stream.d.ts:195

### authTagLength

authTagLength: number

- Defined in node_modules/@types/node/crypto.d.ts:157

### Optional decodeStrings

decodeStrings: undefined | false | true

Inherited from WritableOptions.decodeStrings

- Defined in node_modules/@types/node/stream.d.ts:100

### Optional encoding

encoding: undefined | string

Inherited from ReadableOptions.encoding

- Defined in node_modules/@types/node/stream.d.ts:13

### Optional highWaterMark

highWaterMark: undefined | number

Inherited from ReadableOptions.highWaterMark

Overrides WritableOptions.highWaterMark

- Defined in node_modules/@types/node/stream.d.ts:12

### Optional objectMode

objectMode: undefined | false | true

Inherited from ReadableOptions.objectMode

Overrides WritableOptions.objectMode

- Defined in node_modules/@types/node/stream.d.ts:14

### Optional readableObjectMode

readableObjectMode: undefined | false | true

Inherited from DuplexOptions.readableObjectMode

- Defined in node_modules/@types/node/stream.d.ts:196

### Optional writableObjectMode

writableObjectMode: undefined | false | true

Inherited from DuplexOptions.writableObjectMode

- Defined in node_modules/@types/node/stream.d.ts:197

## Methods

### Optional destroy

- destroy(this: Transform, error: Error | null, callback: function): void

- Inherited from TransformOptions.destroy

  Overrides DuplexOptions.destroy

  - Defined in node_modules/@types/node/stream.d.ts:232

  #### Parameters

  - ##### this: Transform

  - ##### error: Error | null

  - ##### callback: function

    - - (error: Error | null): void

      - #### Parameters

        - ##### error: Error | null

        #### Returns void

### Optional final

- final(this: Transform, callback: function): void

- Inherited from TransformOptions.final

  Overrides DuplexOptions.final

  - Defined in node_modules/@types/node/stream.d.ts:231

  #### Parameters

  - ##### this: Transform

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional flush

- flush(this: Transform, callback: TransformCallback): void

- Inherited from TransformOptions.flush

  - Defined in node_modules/@types/node/stream.d.ts:234

  #### Parameters

  - ##### this: Transform

  - ##### callback: TransformCallback

  #### Returns void

### Optional read

- read(this: Transform, size: number): void

- Inherited from TransformOptions.read

  Overrides DuplexOptions.read

  - Defined in node_modules/@types/node/stream.d.ts:228

  #### Parameters

  - ##### this: Transform

  - ##### size: number

  #### Returns void

### Optional transform

- transform(this: Transform, chunk: any, encoding: string, callback: TransformCallback): void

- Inherited from TransformOptions.transform

  - Defined in node_modules/@types/node/stream.d.ts:233

  #### Parameters

  - ##### this: Transform

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: TransformCallback

  #### Returns void

### Optional write

- write(this: Transform, chunk: any, encoding: string, callback: function): void

- Inherited from TransformOptions.write

  Overrides DuplexOptions.write

  - Defined in node_modules/@types/node/stream.d.ts:229

  #### Parameters

  - ##### this: Transform

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional writev

- writev(this: Transform, chunks: Array<object>, callback: function): void

- Inherited from TransformOptions.writev

  Overrides DuplexOptions.writev

  - Defined in node_modules/@types/node/stream.d.ts:230

  #### Parameters

  - ##### this: Transform

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

Generated using TypeDoc